package com.gyee.wisdom.common.data.control;

import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * @descrition:当前风机报警
 * @author:Wanghs
 * @date:2019-09-12
 */
@Data
public class AlarmSnapData implements Serializable {

    private Long id;
    private String stationId;
    private String projectId;
    private String lineId;
    private String windturbineId;
    private int alertValue;
    private String category1;
    private String category2;
    private String category3;
    private String rank;
    private int isOpened;
    private Date lastUpdateTime;
    private String stationName;
    private String projectName;
    private String lineName;
    private String windturbineName;
    private String alertText;
    private String modelId;
    private String testingpointKey;
    private String dataInfo;
}
