package com.gyee.wisdom.common.data.control;

import lombok.Data;

import java.util.Date;

/**
 * @descrition:控制日志
 * @author:Wanghs
 * @date:2019-09-03
 */
@Data
public class ControlLog {

    private int id;

    //控制类型
    private int type;

    //控制时间
    private Date time;

    //用户Id
    private int userId;

    //风机编号
    private String windturbineId;

    //风场编号
    private String stationId;

    //命令地址
    private int cmdId;

    //是否成功
    private boolean success;

    //错误码
    private String controlErrorsCode;
}
