package com.gyee.wisdom.common.data.point;

import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 *Author:Wanghs
 */

//风电场抽象测点
@Data
public class LevelTypeTestingPoint implements Serializable {
    //编号(主键)
    private String id;
    //编码
    private String code;
    //名称
    private String name;
    //型号
    private String model;
    //单位
    private String valueUnit;
    //英文名称
    private String englishName;
    //最大值
    private double maxVal;
    //最小值
    private double minVal;
    //合理最大值
    private double reasonableMaxVal;
    //合理最小值
    private double reasonableMinVal;
    //统一编码
    private String uniformCode;
    //数据类型
    private String dataType;
}
