package com.gyee.wisdom.common.data.point;

import lombok.Data;

import java.io.Serializable;

/**
 *Author:Wanghs
 */

//风机测点
@Data
public class WindturbineTestingPoint implements Serializable {

    //编号（主键）
    private String id;
    //编码
    private String code;
    //名称
    private String name;
    //型号名称
    private String model;
    //单位
    private String valueUnit;
    //英文名称
    private String englishName;
    //所属型号
    private String modelId;
    //风机编号
    private String windturbineId;
    //统一编码
    private String uniformCode;
    //风场编码
    private String stationId;
    //数据类型
    private String dataType;
    //工程编号
    private String projectId;
    //风电线编号
    private String lineId;
    // 分类（1遥测、2遥信、3遥调、4遥控、5计算）
    private int category;

}
