package com.gyee.wisdom.dao.sql.lobsystem.entity;

import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.ToString;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;
import java.io.Serializable;
import java.util.Date;

@Data
@NoArgsConstructor
@ToString
@EqualsAndHashCode()
@Entity
@Table(name = "systemalertsnap")
public class SystemAlertSnapEntity implements Serializable {
    private static final long serialVersionUID = -7534866988275191900L;
    @Id
    @Column(name = "id")
    private String id;
    @Column(name = "thingtype")
    private String thingtype;
    @Column(name = "thingid")
    private String thingid;
    @Column(name = "alertvalue")
    private Integer alertvalue;
    @Column(name = "category1")
    private String category1;
    @Column(name = "category2")
    private String category2;
    @Column(name = "rank")
    private String rank;
    @Column(name = "isopened")
    private Integer isopened;
    @Column(name = "isconfirmed")
    private Integer isconfirmed;
    @Column(name = "confirmtime")
    private Date confirmtime;
    @Column(name = "confirmperson")
    private String confirmperson;
    @Column(name = "lastupdatetime")
    private Date lastupdatetime;
    @Column(name = "lastupdateperson")
    private String lastupdateperson;
    @Column(name = "thingname")
    private String thingname;
    @Column(name = "alerttext")
    private String alerttext;


}
