package com.gyee.wisdom.dao.sql.lobsystem.entity;

import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.ToString;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;
import java.io.Serializable;

@Data
@NoArgsConstructor
@ToString
@EqualsAndHashCode()
@Entity
@Table(name = "systemtestingpoint")
public class SystemTestingPointEntity implements Serializable {
    private static final long serialVersionUID = -4498998038201402432L;
    @Id
    @Column(name = "id")
    private String id;
    @Column(name = "code")
    private String code;
    @Column(name = "name")
    private String name;
    @Column(name = "uniformcode")
    private String uniformcode;
    @Column(name = "datatype")
    private String datatype;
    @Column(name = "modelid")
    private String modelid;
}
