package com.gyee.wisdom.alarm.schedule.mapper;


import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.gyee.wisdom.alarm.schedule.entity.FaultStatisticWindturbine;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

@Repository
@Mapper
public interface FaultStatisticWindturbineMapper extends BaseMapper<FaultStatisticWindturbine> {


    List<FaultStatisticWindturbine> selectFaultStatisticWindturbineByyearandmonth(@Param("year") String year,
                                                                                  @Param("month")String month,
                                                                                  @Param("warningtype") String warningtype,
                                                                                  @Param("windturbineId") String windturbineId,
                                                                                  @Param("stationid") String stationid);

}
