package com.gyee.wisdom.alarm.schedule.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.gyee.wisdom.alarm.schedule.entity.WindPowerStation;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author:Wanghs
 * @date:2019-12-06
 */
@Mapper
public interface WindPowerStationMapper extends BaseMapper<WindPowerStation> {
    List<WindPowerStation> getStationAll(@Param("idString") String idString);

    WindPowerStation selectByid(@Param("station")String station);

    WindPowerStation getStationByid(@Param("id") String id);
}
