package com.gyee.wisdom.alarm.sharding.controller;

import com.gyee.wisdom.alarm.sharding.entity.Datadictionary;
import com.gyee.wisdom.alarm.sharding.entity.Equipmentmodel;
import com.gyee.wisdom.alarm.sharding.entity.WindPowerStation;
import com.gyee.wisdom.alarm.sharding.mapper.DatadictionaryMapper;
import com.gyee.wisdom.alarm.sharding.service.EquipmentmodelService;
import com.gyee.wisdom.alarm.sharding.service.WindpowerstationService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;

/**
 * 字典接口
 */
@Slf4j
@RestController
@RequestMapping("/datadictionary")
@CrossOrigin
public class DatadictionaryController {
    @Autowired
    private DatadictionaryMapper datadictionaryMapper;

    @GetMapping()
    public List<Datadictionary> getAllDatadictionary() {
        List<Datadictionary> datadictionaries = datadictionaryMapper.getAllDatadictionary();
        return datadictionaries;
    }
}
