package com.gyee.wisdom.alarm.sharding.entity;

import com.alibaba.fastjson.annotation.JSONField;
import com.alibaba.fastjson.serializer.ToStringSerializer;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.io.Serializable;

/**
 * @descrition:报警配置工具用户
 * @author:Wanghs
 * @date:2020-04-24
 */
@Data
@TableName("ALARM_USER")
public class AlarmUser implements Serializable {

    @JSONField(serializeUsing = ToStringSerializer.class)
    @TableId("ID")
    private long Id;
    @TableField("USERNAME")
    private String userName;
    @TableField("PASSWORD")
    private String passWord;
    @TableField(exist = false)
    private String newPassWord;
    @TableField("CHINESENAME")
    private String chineseName;
    @TableField("ENABLED")
    private int enabled;
    @TableField("IDENTITY")
    private String identity;
}
