package com.gyee.wisdom.alarm.sharding.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.gyee.wisdom.alarm.sharding.util.ChineseDes;
import lombok.Data;

import java.io.Serializable;

@Data
@TableName("WARNING2")
public class Warning2 implements Serializable {
    @TableId("ID")
    private String id;
    @ChineseDes("报警级别")
    @TableField("LEVELID")
    private String levelId;
    @ChineseDes("制造商")
    @TableField("MANUFACTURERCODE")
    private String manufacturerCode;
    @TableField("ENGLISHTEXT")
    private String englishText;
    @ChineseDes("描述")
    @TableField("CHINESETEXT")
    private String chineseText;
    @ChineseDes("上级节点")
    @TableField("PARENTID")
    private String parentId;
    @TableField("ISLEAF")
    private int isleaf;
    @TableField("SEQUENCENUMBER")
    private int sequenceNumber;
    @ChineseDes("停机类型")
    @TableField("CHARACTERISTIC")
    private String characteristic;
    @ChineseDes("风机型号")
    @TableField("MODELID")
    private String modelId;
    @TableField("CODENAME")
    private String codeName;
    @ChineseDes("统一编码")
    @TableField("EDNAVALUE")
    private int ednaValue;
    @ChineseDes("是否展示")
    @TableField("DISPLAY")
    private int display;
    @ChineseDes("报警分类")
    @TableField("WARNINGCLASSIFYID")
    private String warningClassIfyId;
    @TableField("STANDARDTIME")
    private int standardTime;
    @ChineseDes("是否可复位")
    @TableField("ISRESET")
    private int isreset;
    @ChineseDes("报警类型")
    @TableField("WARNINGTYPEID")
    private String warningTypeId;
    @ChineseDes("故障编码")
    @TableField("FAULTCODE")
    private String faultCode;
    @ChineseDes("关联部件")
    @TableField("RELATEDPARTS")
    private String relatedParts;//关联部件

    @TableField(exist = false)
    private String userName;//操作人
}
