package com.gyee.wisdom.alarm.sharding.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.gyee.wisdom.alarm.sharding.entity.FeatureStat;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.Date;
import java.util.List;

/**
 * @author:Wanghs
 * @date:2019-11-19
 */
@Mapper
public interface FeatureStatMapper extends BaseMapper<FeatureStat> {


    List<FeatureStat> searchByCondition(@Param("stationId")String stationId,
                                        @Param("starttime") Date startTime,
                                        @Param("endtime") Date endTime);

    List<FeatureStat> searchByCondition2(@Param("stationId")String stationId,
                                        @Param("currentDate") Date currentDate);

    List<FeatureStat> searchAll();
}
