package com.gyee.wisdom.alarm.sharding.service;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.gyee.wisdom.alarm.sharding.entity.AlarmCount;
import com.gyee.wisdom.alarm.sharding.entity.Windturbine;
import com.gyee.wisdom.alarm.sharding.mapper.AlarmCountMapper;
import com.gyee.wisdom.alarm.sharding.mapper.WindturbineMapper;
import com.gyee.wisdom.alarm.sharding.model.WindturbineExample;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @author Wang Jiawen
 * @purpose
 * @date 2019-08-30 16:45
 */
@Service
@Slf4j
public class WindturbineService extends ServiceImpl<WindturbineMapper, Windturbine> {
      @Autowired
      private WindturbineMapper windturbineMapper;
      public List<Windturbine> windturbineList(){
         return windturbineMapper.selectWindturbines();
      }
      public List<Windturbine> selectByExample(WindturbineExample example) {
        return windturbineMapper.selectByExample(example);
    }
}
