package com.gyee.wisdom.common.data.alarm;

import com.gyee.wisdom.common.data.windturbine.EquipmentModel;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

@Data
public class GyeeWindturbine implements Serializable{
    private String id;
    private String code;
    private String windPowerStationId;
    private Double longitude;
    private Double latitude;
    private String modelId;
    private String status;
    private String projectId;
    private String lineId;
    private Date firstIntegratedTime;
    private String photo;
    private String name;
    private String standardid;
    private GyeeLine gyeeLine;
    private GyeeProject gyeeProject;
    private GyeePowerStation gyeePowerStation;
}
