package com.gyee.wisdom.common.data.system.model;

import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 *
 * 角色
 *
 */
@Data
public class Role implements Serializable {

	private String id ;

	/** 角色名*/
	private String name;

	/** 描述 */
	private String description;

	/** 状态 是否禁用*/
	private boolean disabled;

	/**用户集合*/
	private List<User> userList;

	/**菜单集合**/
	private List<Menu> menuList;



}

