package com.gyee.wisdom.common.data.windturbine;

import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

@Data
public class Windturbine  implements Serializable{
    private String id;
    private String code;
    private String windPowerStationId;
    private Double longitude;
    private Double latitude;
    private String modelId;
    private String status;
    private String projectId;
    private String lineId;
    private Date firstIntegratedTime;
    private String photo;
    private String name;
    private String standardId;
    private Line line;
    private EquipmentModel model;
    public String getCodeToName(){
        return name.replaceAll("第\\S*台风机",code+"风机");
    }
}
