package com.gyee.wisdom.dao.sql;

import org.apache.commons.lang3.ArrayUtils;
import org.springframework.scheduling.support.SimpleTriggerContext;

/**
 * 字符串常量池
 */
public class ModelConstants {

    private ModelConstants() {
    }

    public static final String ID_ = "id";
    public static final String USER_ = "gyee_user";
    public static final String USER_NAME = "user_Name";
    public static final String PASSWORD_ = "password";
    public static final String SALT_ = "salt";
    public static final String EMAIL_ = "email";
    public static final String DISABLED_ = "disabled";
    public static final String CREATE_TIME = "create_Time";
    public static final String LAST_TIME = "last_Time";
    public static final String CHINESE_NAME = "chinese_Name";
    public static final String CONTRACT_TEL = "contract_Tel";
    public static final String REGISTION_ID = "registion_Id";

    public static final String ROLE_ = "gyee_role";
    public static final String NAME_ = "name";
    public static final String DESCRITION_ = "description";

    public static final String USER_ROLE = "gyee_user_role";
    public static final String USER_ID = "user_id";
    public static final String ROLE_ID = "role_id";

    /*
     * author:Wanghs
     * */
    public static final String MENU_ = "gyee_menu";//menu表
    public static final String LABLEL_ = "label";
    public static final String PAHT_ = "path";
    public static final String ORDER_NO = "order_no";
    public static final String LAYER_ = "layer";
    public static final String URL_ = "url";
    public static final String TYPE_ = "type";
    public static final String STYLE_ = "style";

    public static final String ROLE_MENU = "gyee_role_menu";
    public static final String MENU_ID = "menu_id";

    public static final String POWER_STATION="power_station";
    public static final  String CODE_="code";
    public static final String STATION_NAME="station_name";
    public static final String ADDRESS_="address";
    public static final String TELEPHONE_="telephone";
    public static final String CAPACITY_="capacity";
    public static final String CAPACITY_UNIT="capacity_unit";
    public static final String QUANTITY="quantity";
    public static final String SHORT_NAME="short_name";
    public static final String LONGITUDE_="longitude";
    public static final String LATITUDE_="latitude";
    public static final String COMPANY_ID="company_id";
    public static final String SYSTEM_MENU_FACT="system_manu_fact";
    public static final String HEAD_FARM="head_farm";
    public static final String HEAD_FARM_PHONE="head_farm_phone";
    public static final String MODEL_="model";
    public static final String ORDER_NUM="order_num";
    public static final String HEIGHT_="height";
    public static final String MODEL_ID="model_id";
    public static final String WINDTURBINE_ID="windturbine_id";

    /*
     * author:wangjw
     * */
    //风机
    public static final String WINDTURBINE_="windturbine";
    public static final String WINPOWERSATIONID_="station_id";
    public static final String MODELID_="model_id";
    public static final String STATUS_="status";
    public static final String PROJECT_ID="project_id";
    public static final String LINEID_="line_id";
    public static final String FIRST_INTEGRATED_TIME="first_integrated_time";
    public static final String PHOTO_="photo";
    public static final String IS_STANDARD="is_standard";
    //项目
    public static final String PROJECT_="project";
    public static final String STATION_ID="station_id";
    public static final String PRIJECT_="project";
    public static final String ANAME_="aname";
    public static final String COMMISSION_DATE="commission_date";
    public static final String MASTER_PHONE="master_phone";
    public static final String SHIFT_FOREMAN="shift_foreman";
    public static final String SHIFT_FOREMAN_PHONE="shift_foreman_phone";
    //线路
    public static final String EQUIPMENT_MODEL="equipment_model";
    public static final String LINE_="line";
    public static final String STATION_CODE="station_code";
    //模型
    public static final String POWER_PRODUCTION="power_production";
    public static final String CUTIN_WIND_SPEED="cutin_wind_speed";
    public static final String RATED_WIND_SPEED="rated_wind_speed";
    public static final String CUTOUT_WIND_SPEED="cutout_wind_speed";
    public static final String WINDTURBINE_MANUFACTURER_ID="windturbine_manufacturer_id";
    public static final String UNIT_="unit";
    public static final String SWEPT_AREA="swept_area";
    public static final String EQUIPMENT_CATEGORY="equipment_category";
    public static final String LINE_ID="line_id";
    public static final String CATEGORY_="category";

    public static final String TESTING_POINT="testing_point";//测点表
    public static final String TYPE_ID="type_id";
    public static final String MAX_VAL="max_val";
    public static final String MIN_VAL="min_val";
    public static final String REASONABLE_MAX_VAL="reasonable_max_val";
    public static final String REASONABLE_MIN_VAL="reasonable_min_val";
    public static final String VALUE_UNIT="value_unit";
    public static final String ENGLISH_NAME="english_name";
    public static final String UNIFORM_CODE="uniform_code";
    public static final String DATA_TYPE="data_type";


    public static final String POWER_STATION_TESTING_POINT="power_station_testing_point";//风电场测点表
    public static final String LEVEL_TYPE_TESTING_POINT="level_type_testing_point";//风电场抽象测点表
    public static final String ELECTRICAL_TESTING_POINT="electrical_testing_point";//电气测点
    public static final String WINDTURBINE_TESTING_POINT="windturbine_testing_point";//风机测点

    public static final String DATA_DICTIONARY="data_dictionary";//数据字典
    public static final String ENABLED_="enabled";

    public static final String TOPIC_="gyee_topic";//主题表
    public static final String UNIFORM_CODES="UNIFORMCODES";
    public static final String DESCRIPTION_="description";

    public static final String THING_TYPE="thing_type";//主题表
    public static final String THING_ID="thing_id";

    public  static final String TOPIC_POINT="gyee_topic_point";
    public  static final String TOPIC_ID="topic_id";
    public  static final String POINT="point";

    public static final String VIEW_TOPIC_POINT="view_topic_point";
    public static final String POINT_NAME="point_name";
    public static final String POINT_TYPE="point_type";
    public static final String POINT_ID="point_id";


    public static final String GYEE_POINT="gyee_point";


    public static final  String GYCP_CMD_INFO="gycp_cmd_info";
    public static  final String CMD_ID="cmd_id";
    public static  final String CMD_VALUE="cmd_value";
    public static  final String Time="time";
    public static  final String ISSUCCESS="is_success";
    public static  final String CONTROL_ERRORS_CODE="control_errors_code";

    public static  final String INPUT_OR_OUTPUT_SPEED_TOTAL="inputoroutputspeedtotal";
    public static  final String WINDTURBINEID="windturbineid";
    public static  final String INPUT_SMALL="inputsmall";
    public static  final String RECORDE_DATE="recorddate";
    public static  final String CONTROL_INFO="control_info";
}
