package com.gyee.wisdom.dao.sql.alarm.Entity;

import com.gyee.wisdom.common.data.ToData;
import com.gyee.wisdom.common.data.alarm.WindturbineTestingpointAi;
import com.gyee.wisdom.common.data.alarm.WindturbineTestingpointDi;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.beans.BeanUtils;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;
import java.io.Serializable;


@Data
@Entity
@NoArgsConstructor
@Table(name="windturbinetestingpointai2")
public class WindturbineTestingpointAiEntity implements ToData<WindturbineTestingpointAi>, Serializable {
  @Id
  @Column(name = "id")
  private String id;
  @Column(name = "code")
  private String code;
  @Column(name = "name")
  private String name;
  @Column(name = "model")
  private String model;
  @Column(name = "valueunit")
  private String valueunit;
  @Column(name = "englishname")
  private String englishname;
  @Column(name = "typeid")
  private String typeid;
  @Column(name = "modelid")
  private String modelid;
  @Column(name = "maxval")
  private String maxval;
  @Column(name = "minval")
  private String minval;
  @Column(name = "reasonablemaxval")
  private String reasonablemaxval;
  @Column(name = "reasonableminval")
  private String reasonableminval;
  @Column(name = "windturbineid")
  private String windturbineid;
  @Column(name = "uniformcode")
  private String uniformcode;
  @Column(name = "shortid")
  private String shortid;
  @Column(name = "longid")
  private String longid;
  @Column(name = "windpowerstationid")
  private String windpowerstationid;
  @Column(name = "realtimeid")
  private String realtimeid;

  @Override
  public WindturbineTestingpointAi toData() {
    WindturbineTestingpointAi windturbineTestingpointAi = new WindturbineTestingpointAi();
    BeanUtils.copyProperties(this,windturbineTestingpointAi);
    return windturbineTestingpointAi;
  }

}
