package com.gyee.wisdom.dao.sql.lobsystem.entity;

import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.ToString;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;
import java.io.Serializable;

@Data
@NoArgsConstructor
@ToString
@EqualsAndHashCode()
@Entity
@Table(name = "systemthing")
public class SystemThingEntity implements Serializable {
    private static final long serialVersionUID = 7899576180373254941L;
    @Id
    @Column(name = "id")
    private String id;
    @Column(name = "code")
    private String code;
    @Column(name = "name")
    private String name;
    @Column(name = "lobsystemid")
    private String lobsystemid;
    @Column(name = "modelid")
    private String modelid;
    @Column(name = "description")
    private String description;
}
