package com.gyee.wisdom.dao.sql.system.repository;

import com.gyee.wisdom.dao.sql.system.entity.DataDictionaryEntity;
import com.gyee.wisdom.dao.sql.system.entity.MenuEntity;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;

import java.util.List;

public interface DataDictionaryRepository extends JpaRepository<DataDictionaryEntity, String>, JpaSpecificationExecutor {

    List<DataDictionaryEntity> findDataDictionaryEntitiesByCategory(String category);
    DataDictionaryEntity findById(int id);
    void deleteById(int id);
}
