package com.gyee.wisdom.alarm.schedule.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.gyee.wisdom.alarm.schedule.entity.AlarmSnap;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.Date;
import java.util.List;

/**
 * @description:
 * @auther: Wanghs
 * @date: 2022-03-16
 */
@Mapper
public interface AlarmSnapMapper extends BaseMapper<AlarmSnap> {

    List<AlarmSnap> queryAll(@Param("stid")String stationId,
                             @Param("wtid") String windturbineId,
                             @Param("category1") String category1,
                             @Param("category2") String category2,
                             @Param("rank") String rank,
                             @Param("modelid") String modelid,
                             @Param("isopened") Integer isopened,
                             @Param("keyword") String keyword,
                             @Param("starttime") Date startTime,
                             @Param("endtime") Date endTime) throws Exception;
}
