package com.gyee.wisdom.alarm.schedule.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.gyee.wisdom.alarm.schedule.entity.AlarmHistory;
import com.gyee.wisdom.alarm.schedule.mapper.AlarmHisotryMapper;
import com.gyee.wisdom.common.utils.DateUtil;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Service;

import java.text.SimpleDateFormat;
import java.util.*;


@Service
@Slf4j
public class AlarmHistoryService extends ServiceImpl<AlarmHisotryMapper, AlarmHistory>  {
    @Autowired
    private AlarmHisotryMapper alarmHisotryMapper;

    public int selectSnapCount(String tableName, long snapid, Date startDate, Date endDate) {
        return  alarmHisotryMapper.selectSnapCount(tableName, snapid, startDate, endDate);
    }


}
