package com.gyee.wisdom.alarm.sharding.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * 设备度量指标
 */
@Data
public class DeviceMetrics implements Serializable{

    @JsonFormat(shape = JsonFormat.Shape.STRING)
    private long id;

    private String deviceid;

    private String structurecode;

    private String metriccode;

    private String name;

    private String enname;

    private String unitname;

    private String unitnamecn;

    private String categorydata;

    private String categorysci;

    private String categorysys;

    private String categoryres1;

    private String categoryres2;

    private String categoryres3;

    private String categoryres4;

    private String categoryres5;

    private String description;

    @TableField(exist = false)
    private List<DeviceModelMetrics> deviceModelMetrics;


//    ID                   NUMBER               not null,
//    DEVICEID             VARCHAR2(50)         not null,
//    STRUCTURECODE        VARCHAR2(50),
//    METRICCODE           VARCHAR2(50)         not null,
//    NAME                 VARCHAR2(50),
//    ENNAME               VARCHAR2(50),
//    UNITNAME             VARCHAR2(50),
//    UNITNAMECN           VARCHAR2(50),
//    CATEGORYDATA         VARCHAR2(50),
//    CATEGORYSCI          VARCHAR2(50),
//    CATEGORYSYS          VARCHAR2(50),
//    CATEGORYRES1         VARCHAR2(50),
//    CATEGORYRES2         VARCHAR2(50),
//    CATEGORYRES3         VARCHAR2(50),
//    CATEGORYRES4         VARCHAR2(50),
//    CATEGORYRES5         VARCHAR2(50),
//    DESCRIPTION          VARCHAR2(500),
}
