package com.gyee.wisdom.alarm.sharding.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.gyee.wisdom.alarm.sharding.entity.TestingPointAI;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @descrition:
 * @author:Wanghs
 * @date:2019-12-06
 */
@Mapper
public interface TestingPointAIMapper extends BaseMapper<TestingPointAI> {
    List<TestingPointAI> selectByStationAndModel(@Param("station") String station,
                                                 @Param("modelId") String modelId);

    List<TestingPointAI> selectByUniformCodeAndModel(@Param("uniformcodeList") List<String> uniformcodeList,
                                                     @Param("modelId") String modelId,
                                                     @Param("stationSimpleName")String stationSimpleName);
}
