package com.gyee.wisdom.alarm.sharding.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.gyee.wisdom.alarm.sharding.entity.TestingPointAI;
import com.gyee.wisdom.alarm.sharding.entity.TestingPointDI;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @descrition:
 * @author:Wanghs
 * @date:2019-12-06
 */
@Mapper
public interface TestingPointDIMapper  extends BaseMapper<TestingPointDI>{
    List<TestingPointDI> selectByStationAndModel(@Param("station") String station,
                                         @Param("modelId") String modelId);

    List<TestingPointDI> selectByUniformCodeAndModel(@Param("uniformcodeList") List<String> uniformcodeList,
                                                     @Param("modelId") String modelId,
                                                     @Param("stationSimpleName")String stationSimpleName
                                                     );

    List<String> getModel();

    List<TestingPointDI> getPointByMinModel(@Param("minModel")String minModel);
}
